//     Author: Maurizio Loreti, aka MLO or (HAM) I3NOO
//     Work:   University of Padova - Department of Physics
//             Via F. Marzolo, 8 - 35131 PADOVA - Italy
//     Phone:  +39 (049) 827-7216   FAX: +39 (049) 827-7102
//     EMail:  loreti@pd.infn.it
//     WWW:    http://www.pd.infn.it/~loreti/mlo.html
//
// -------------------------------------------------------------------
//
// Maze generation: utility functions (code)
//
// -------------------------------------------------------------------
//
// $Id: util.cxx,v 1.3 2002/03/23 20:53:12 loreti Exp $

#include <cstdlib>
#include "util.hh"

int randInt(
  int lower,
  int range
) {
  // Returns a random integer between "lower" (included) and
  // "lower+range" (excluded).  The library's random number generator
  // behaves badly in general; but should be sufficient for our needs.

  int i;
  do {
    i = rand();
  } while (i == RAND_MAX);

  double x = static_cast<double>(i) / RAND_MAX;         // 0 <= x < 1
  x *= range;                                           // 0 <= x < range

  return static_cast<int>(lower + x);
}
